Subject: Re: ioremap() fails for >64 MB

From: Matt Porter <[email-masked]>
Date: Wed, 23 Aug 2006 09:05:33 -0500

On Tue, Aug 22, 2006 at 05:05:01PM -0400, David H. Lynch Jr. wrote:
>     is ioremap() failing or is vmalloc failing ?
> 
>     ioremap should just assign a virtual address to a physical address -
> does it actually allocate anything ?
>     I beleive I am ioremap()ing a greater than 64MB Flash ROM and I do
> not think it is failing.

ioremap() allocates virtual address space in order to be able to
do the assignment.  The ability to allocate this vmalloc space
(which is used by ioremap() and vmalloc() calls) varies based
on amount of memory, etc. in a system.  It also depends on how
good of a quality of a board port is done. It's possible to do
some very stupid things that constrict availability of vmalloc
space. So YMMV versus others.

-Matt